document.getElementById('userForm').addEventListener('submit', function(event) {
    event.preventDefault();
    
    let username = document.getElementById('username').value;
    let phone = document.getElementById('phone').value;
    let email = document.getElementById('email').value;
    let messageDiv = document.getElementById('message');
    
    if (!validateForm(username, phone, email)) {
        messageDiv.textContent = 'Invalid input. Please check your details.';
        return;
    }

    let data = {
        username: username,
        phone: phone,
        email: email
    };

    fetch('/submit', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(data)
    })
    .then(response => response.json())
    .then(data => {
        messageDiv.textContent = `Success! Data received: ${JSON.stringify(data)}`;
        messageDiv.style.color = 'green';
    })
    .catch(error => {
        messageDiv.textContent = 'Error: ' + error;
    });
});

function validateForm(username, phone, email) {
    let usernameRegex = /^[a-zA-Z0-9_]{3,20}$/;
    let phoneRegex = /^\+?[0-9]{10,15}$/;
    let emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;

    return usernameRegex.test(username) && phoneRegex.test(phone) && emailRegex.test(email);
}
